Skip to main content
GET
/
toucan
/
tokens
/
{tokenRefId}
/
account
Fetch account metadata
curl --request GET \
  --url https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/account \
  --header 'Authorization: Bearer <token>' \
  --header 'x-merchant-id: <x-merchant-id>'
import requests

url = "https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/account"

headers = {
"x-merchant-id": "<x-merchant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-merchant-id': '<x-merchant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cardNetworkName": "<string>",
  "tokenAccount": {
    "last4": "<string>",
    "expirationDate": {
      "month": "<string>",
      "year": "<string>"
    },
    "par": "<string>"
  },
  "backgroundColor": "<string>",
  "foregroundColor": "<string>",
  "labelColor": "<string>",
  "contactName": "<string>",
  "contactWebsite": "<string>",
  "contactEmail": "<string>",
  "contactNumber": "<string>",
  "termsAndConditionsUrl": "<string>",
  "privacyPolicyUrl": "<string>",
  "shortDescription": "<string>",
  "longDescription": "<string>",
  "assets": [
    {
      "assetId": "<string>",
      "assetData": "<string>"
    }
  ],
  "cardArt": [
    {
      "url": "<string>",
      "description": "<string>",
      "height": 123,
      "width": 123
    }
  ],
  "metadata": "<string>",
  "tokenUniqueReference": "<string>"
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Format is: Bearer <api_key>, where <api_key> is your Pagos API key

Headers

x-merchant-id
string
required

Merchant identifier for requests.

Path Parameters

tokenRefId
string | null
required

Response

Account metadata fetched successfully

cardNetworkName
string
tokenAccount
object | null
backgroundColor
string | null
foregroundColor
string | null
labelColor
string | null
contactName
string | null
contactWebsite
string | null
contactEmail
string | null
contactNumber
string | null
termsAndConditionsUrl
string | null
privacyPolicyUrl
string | null
shortDescription
string | null
longDescription
string | null
assets
object[] | null
cardArt
object[] | null
metadata
string
assetStatus
enum<string>
Available options:
available,
pending,
unavailable
tokenUniqueReference
string | null
deprecated